(* ::Package:: *)

(* ::Input:: *)
(*                   Algorithm: AZeros              *)
(*                       Authors: Ana C. Concei\[CCedilla]\[ATilde]o (aconcei@ualg.pt) & J\[EAcute]ssica Pires (jessicaccpires@gmail.com)          *)
(*                              Year: 2021*)
(*              Institution: Center for Functional Analysis, Linear Structures and Applications (CEAFEL), Universidade do Algarve          *)
(*   Article/Journal: Symbolic computation applied to Cauchy type singular integrals.  Math. Comput. Appl. *)
(*                  *)
(*         *)


(* ::Input::Initialization:: *)
(*The output gives the Zeros in \[DoubleStruckCapitalT], Subscript[\[DoubleStruckCapitalT], +],Subscript[\[DoubleStruckCapitalT], -] *)

nzeros=Length[zeros];
zerosM=Tally[zeros[[All,1,2]]];
listzeros=List[];
zerosdisk=List[];
zeroscircle=List[];
zerosout=List[];
For[i=0,i<nzeros ,i++;Which[Abs[zeros[[i,1,2]]]>1,AppendTo[listzeros,"Outside-\!\(\*SubscriptBox[\(\[DoubleStruckCapitalT]\), \(-\)]\)"] ,Abs[zeros[[i,1,2]]]==1,AppendTo[listzeros,"Unit Circle-\[DoubleStruckCapitalT]"],Abs[zeros[[i,1,2]]]<1,AppendTo[listzeros,"Unit disk-\!\(\*SubscriptBox[\(\[DoubleStruckCapitalT]\), \(+\)]\)"]]];
For[i=0,i<nzeros ,i++;Which[Abs[zeros[[i,1,2]]]>1,AppendTo[zerosout,zeros[[i,1,2]]],Abs[zeros[[i,1,2]]]==1,AppendTo[zeroscircle,zeros[[i,1,2]]],Abs[zeros[[i,1,2]]]<1,AppendTo[zerosdisk,zeros[[i,1,2]]]]];
circlez=Count[listzeros,"Unit Circle-\[DoubleStruckCapitalT]"];
diskz=Count[listzeros,"Unit disk-\!\(\*SubscriptBox[\(\[DoubleStruckCapitalT]\), \(+\)]\)"];
outz=Count[listzeros,"Outside-\!\(\*SubscriptBox[\(\[DoubleStruckCapitalT]\), \(-\)]\)"];

